Package org.gradle.api.plugins.antlr

# Class AntlrPlugin

java.lang.Object
org.gradle.api.plugins.antlr.AntlrPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public class AntlrPlugin extends Object implements Plugin<Project>
A plugin for adding Antlr support to `java projects`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ANTLR_CONFIGURATION_NAME`

## Constructor Summary

Constructors
Constructor
Description
`AntlrPlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)`

## Method Summary

Modifier and Type
Method
Description
`void`
`apply(Project project)`
Apply this plugin to the given target object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ANTLR_CONFIGURATION_NAME

public static final String ANTLR_CONFIGURATION_NAME

See Also:
  - Constant Field Values

## Constructor Details

### AntlrPlugin

@Inject public AntlrPlugin(org.gradle.api.internal.file.SourceDirectorySetFactory sourceDirectorySetFactory)

## Method Details

### apply

public void apply(Project project)
Description copied from interface: `Plugin`
Apply this plugin to the given target object.

Specified by:
  `apply` in interface `Plugin<Project>`
Parameters:
  `project` - The target object